const OTEL_SPAN_DATA_MAP = new Map();

/** Add data that should be added to the sentry span resulting from the given otel span ID. */
function addOtelSpanData(otelSpanId, data) {
  OTEL_SPAN_DATA_MAP.set(otelSpanId, data);
}

/** Get additional data for a Sentry span. */
function getOtelSpanData(otelSpanId) {
  if (OTEL_SPAN_DATA_MAP.has(otelSpanId)) {
    return OTEL_SPAN_DATA_MAP.get(otelSpanId) ;
  }

  return { data: {}, tags: {}, contexts: {}, metadata: {} };
}

/** Add data that should be added to the sentry span resulting from the given otel span ID. */
function clearOtelSpanData(otelSpanId) {
  OTEL_SPAN_DATA_MAP.delete(otelSpanId);
}

export { addOtelSpanData, clearOtelSpanData, getOtelSpanData };
//# sourceMappingURL=spanData.js.map
